import React from 'react';
export declare const Flexbox: React.ForwardRefExoticComponent<{
    sm?: Partial<import("./Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("./Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("./Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("./Flexbox.types").FlexProps> | undefined;
} & import("./Flexbox.types").ItemProps & import("./Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: React.ReactNode;
    as?: any;
} & React.RefAttributes<HTMLDivElement>>;
